import { t } from "@tailor-platform/sdk";
import { defineSchema } from "@tailor-platform/sdk/seed";
import { createTailorDBHook, createStandardSchema } from "@tailor-platform/sdk/test";
import { exchangeRate } from "../../src/modules-db";

const schemaType = t.object({
  ...exchangeRate.pickFields(["id","createdAt"], { optional: true }),
  ...exchangeRate.omitFields(["id","createdAt"]),
});

const hook = createTailorDBHook(exchangeRate);

export const schema = defineSchema(
  createStandardSchema(schemaType, hook),
);
